import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HeatTemplateVersionDetailsOverviewComponent } from './heat-template-version-details-overview.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';

describe('HeatTemplateVersionDetailsOverviewComponent', () => {
  let component: HeatTemplateVersionDetailsOverviewComponent;
  let fixture: ComponentFixture<HeatTemplateVersionDetailsOverviewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ HeatTemplateVersionDetailsOverviewComponent ],
      imports: [HttpClientTestingModule, RouterTestingModule, ],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HeatTemplateVersionDetailsOverviewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
